clang 8.0.0

Classes | Namespaces
ContinuationIndenter.h File Reference

This file implements an indenter that manages the indentation of continuations. More...

`#include "Encoding.h"`
`#include "FormatToken.h"`
`#include "clang/Format/Format.h"`
`#include "llvm/Support/Regex.h"`
`#include <map>`
`#include <tuple>`
Include dependency graph for ContinuationIndenter.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::format::RawStringFormatStyleManager
class | clang::format::ContinuationIndenter
struct | clang::format::ParenState
struct | clang::format::LineState
| The current state when indenting a unwrapped line. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::format

## Detailed Description

This file implements an indenter that manages the indentation of continuations.

Definition in file ContinuationIndenter.h.